package com.jwipc.order.convert;

import com.jwipc.order.clent.dto.PurchaseOrderAttachmentDTO;
import com.jwipc.order.dto.OrderAttachmentDTO;
import com.jwipc.order.entity.OrderAttachment;
import com.jwipc.order.model.po.OrderAttachmentPO;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface OrderAttachmentConvert {
    List<OrderAttachmentDTO> entities2Dtos(List<OrderAttachment> list);

    List<OrderAttachment> dtos2Entities(List<OrderAttachmentDTO> files);

    List<OrderAttachmentDTO> po2Dtos(List<OrderAttachmentPO> list);

    List<PurchaseOrderAttachmentDTO> po2puDtos(List<OrderAttachmentPO> list);


}
